LANSA Client Administrator

LANSA Client Administrator's Guide

  • Client AdministratorTasks
  • Start the LANSA/Client Administrator
  • Create a LANSA/Client Environment
  • Appendix A. LANSA Client Installation and Upgrade

Edition Date May 16, 2014

© LANSA


1. Administrator Tasks

Before LANSA Client can be used, a LANSA Client environment must be added to the LANSA Client directory of each PC on which LANSA Client is to be used. This task is normally the responsibility of the LANSA Client Administrator.

A LANSA Client environment is a file containing a list of the hosts to which the client workstation can be connected and the options to be used as defaults during a connection to that host.

The LANSA Client environment is created and updated using the LANSA Client Administrator.

A LANSA Client environment can be created on any workstation (whether or not LANSA Client is installed) and copied to the workstation on which LANSA Client will be used. Therefore the Administrator does not need to be installed with LANSA Client on every workstation.

You do not need to be connected to a host system when using the LANSA Client Administrator.

Note: Whenever you add or change a LANSA Client environment, before you can use the new options, you must start a new session by closing and opening LANSA Client.

Further Information

2. Start the LANSA Client Administrator

3. Create a LANSA Client Environment


2. Start the LANSA Client Administrator

Simply select LANSA Client Administrator from the LANSA Client V13 program list:

Further Information

3. Create a LANSA Client Environment

Ý 1. Administrator Tasks


3. Create a LANSA Client Environment

The LANSA Client environment is created by selecting the required options in the LANSA Client Administrator window.

Some options are language or host specific, and are selected from dialog boxes that are described separately. These are:

  • 3.1 Specify the Host and Related Options
  • 3.2 Choose the Language and Font
  • 3.3 Set Query File Location
  • 3.4 Default DateTime Result Format

Configured Hosts

This box contains a list of the hosts configured for this environment. Initially it will be empty.

There must be at least one, but there can be any number of hosts defined for a single LANSA Client environment. When there are multiple hosts defined, the user chooses which host to connect to from a list displayed when LANSA Client starts.

To View the details of an existing host system:

  • Select the host system from the Configured Hosts list.
  • Select the View Details button. The Host Configuration Details dialog box is displayed with the host's details.

To Add a new host system:

  • Select the Add Host button.
  • The Host Configuration Details dialog box is displayed to allow you to enter details and choose options for the new host system.

To Copy an existing host system:

  • Select the host system you want to duplicate from the Configured Hosts list
  • Select the Copy Host button. The Host Configuration Details dialog box is displayed to let you change details as necessary.

To Change the details of an existing host system:

  • Select the required host system from the Configured Hosts list.
  • Select the Change Host button. The Host Configuration Details dialog box is displayed so that you can change the details, if necessary.

To Delete a host system:

  • Select the host system to be deleted from the Configured Hosts list.
  • Select the Delete Host button.

Refer to 3.1 Specify the Host and Related Options for details of the Host Configuration Details dialog box.

Display "Changed Host" Warning

For a query that is run against a different host a "different host" warning message will be shown. The warning message has a "do not show this again" option, so that LANSA Client will not keep showing the message.

Application Generation Support

Use the Application Generation option to turn on or off the application generation capabilities of LANSA Client.

Refer to Generating Applications in the LANSA Client User Guide if you would like to find out more about LANSA Client's application generation capabilities.

Enable LANSA Client Tracing

Turn this option on to enable LANSA Client tracing. The trace file is located in a folder called lansaclient under the TEMP folder, is named after the application running and has the extension .log.

Example: <drive>:\Users\<User Name>\Appdata\Local\Temp\lansaclient\lc32.log

Note that turning LANSA Client Tracing on will have an impact on performance. Only use this option when directed to do so by LANSA Support.

Language

Press this button to open the LANSA Client Language Option dialog box.

For details about the options related to languages, refer to 3.2 Choose the Language and Font.

Query Location

Press this button to open the LANSA Client Query File Location dialog box.

For details about the settings related to default query location, refer to 3.3 Set Query File Location .

DateTime Result Format

If you save your Results to an Excel or dBase file, and if your data contains a date or time, you can specify whether you want the dates or times saved as text/numeric or in a date or time format as described in 3.4 Default DateTime Result Format.

The options selected can be overridden using the Date Time Formats command on the Format menu.

Default Report Database Type

Specify the default type of database to be created when outputting query results to reports.

Within LANSA Client the output database filename and type may be specified for each query, which will override this default value.

Saving results:

When the results of a query are saved, either the field's name, the field's description or the field's label will be included. These names are stored in the LANSA Repository on the host. As the label is limited to 15 characters, it is preferable to use it for report column headings rather than the description, which can be up to 40 characters long.

Once set, this option should not be changed because a report that has been created from a query using the field label will be unable to interpret the results if they are later presented with the field's description.

Note: Some of the file formats to which you can save a query's results may cause the field name to be truncated. For example, the DBF format will only allow 10 character field names (i.e. column headings) and they must only consist of alphanumeric characters. LANSA Client will ensure that the names of all the fields within a file are unique.

Default Join Type

Specify the Join Type to be used as the default for all new joins in your query.

The Join Types available are:

  • All Records (Left Outer Join)
    Records from the primary file will be shown even if there are no matching records in the secondary joined file. For example, list customers with and customers without orders.
  • Matched Records (Inner Join)
    Records from the primary file will only be shown if matching records in a secondary joined file are found. For example, list only customers with orders.
  • Unmatched Records (Exception Join)
    Records from the primary file will only be listed if there are no matching records in the secondary joined file. For example, list only customers who have not placed any orders.

Save the Environment

Press the Save button to save the changes you have made using the LANSA Client Administrator.

All the options you have selected for this LANSA Client environment are written to the LC32.LCX file which is saved in your LANSA Client folder.

Exit from the LANSA Client Administrator

Select the Exit button. If you have modified the configuration and have not saved the changes, you will be prompted to do so.

Note: Close, then open LANSA Client to "pick up" the new defaults.

Further Information

3.1 Specify the Host and Related Options

3.2 Choose the Language and Font

3.3 Set Query File Location

3.4 Default DateTime Result Format

Ý 3. Create a LANSA Client Environment


3.1 Specify the Host and Related Options

The main LANSA Client Administrator screen displays the currently configured hosts in the Configured Hosts list box.

A host system can be:

  • An actual host system.
  • A LANSA partition within a host system.

By choosing the relevant button on the LANSA Client Administrator's screen you can:

  • View a host system's details.
  • Add a new host system.
  • Change the details of an existing host system.
  • Delete a host system.

The Host Configuration Details dialog box is displayed when you are viewing, changing or adding a host system. The options selected in this dialog box are used only for this host system. It is therefore possible, for example, to allow data for a development system to be edited, but not to allow data to be edited when connected to a production system.

Options must be specified in the Host Configuration Details dialog box for each host from which LANSA Client is to retrieve data.

Host Name

This name is the local control point name of the host, in not more than 8 characters.

If you are not sure of the name of your host, see your System Administrator. The host name is the Local control point name, NOT the System name.

If you leave this name blank, LANSA Client will connect to the host system you connect to using PC-Support.

Tip

If you want to set up LANSA Client to access more than one partition on the same host, define each of the partitions as a separate host system.

Host Description

A short description of the host using 40 characters or less. This name must be unique as it is used by the end user to select the host system from which LANSA Client is to retrieve data. The same name is also displayed in the Administrator's Configured Hosts lists.

Host Partition

This is the name of the partition on the host system which you want LANSA Client to access. A partition is like a library or a directory. The partition name cannot be longer than 3 characters.

If you leave this entry blank, you will be connected to the default partition within the host system.

Host Language

If this host or partition is multilingual, then specify the language in which the file's and field's descriptions are to be retrieved.

If the partition is not multilingual, you must leave this entry box blank (i.e. empty).

Leave this entry blank if you want to use the default language for the partition or host.

User and Password

Specify a User ID and Password to be used whenever LANSA Client communicates with the host system. The length of both the User ID and Password cannot be more than 10 characters.

If the User ID and Password are set to *PROMPT then the user will be prompted for these values when LANSA Client attempts to communicate with the host system,

A profile must be specified at the host for the User ID.

If the Host supports Kerberos mapping of Windows user names, you may select the Use Windows Credentials option instead of specifying a username and password. Upon connection to the Host, Client will send it your current Windows User ID, which will be mapped to an equivalent user on the Host. (Your System Administrator will need to configure this).

Kerberos works without further configuration directly to a server with no access outside that server, say to SQL Server or a file share.

If access outside of that 1 server is required – so called "multi-hop" – then this is what is supported:

1.Trust whole computer to *any* services – We have tested and proved this is working
2.Trust a specific domain user to *any* services – We have tested and proved this is working (this requires setting up listener properly to run as a specific user, see the attached document. This should be verified first using lcoecho)

If your environment does not allow one of these configurations then multi-hop cannot be used.

Maximum Records Allowed

The maximum number of records to be retrieved from each query. This limit applies to the number of records transferred from the host to the workstation, not to the number of records read.

If this number is left blank or is a value of 0, LANSA Client will retrieve as many records as possible. For each individual workstation, it is possible to reduce the number specified here by setting a lower limit using the Output Options command described in the LANSA Client User Guide.

Note: LANSA Client should not be used to retrieve large volumes of data. It is a query and reporting tool, not a data transfer utility. You should always aim to reduce the volume of data retrieved by using LANSA Client's search facilities.

Advanced Options

Priority

You can set a priority level, in the range 10 to 80, to run your LANSA Client jobs on the host. Select the appropriate number in the Priority list. The lower the priority number selected, the higher will be the priority of your jobs at the host. The default priority is set at 25.

Allow Inserts/Updates

You can choose to enable or disable the insert and update capabilities of LANSA Client.

If you enable this feature, this Allow Inserts/Updates option will be ticked and the user will be able to insert new data and update existing data from the Results window. This is the default option.

If you disable this feature, the user will not be able to add or insert data. This means that the Insert Row and Edit Row commands will not be available.

Note that if this feature is enabled, the rules defined in the LANSA Repository will be obeyed whenever the insert or update of data is performed. This means that if the LANSA Repository does not permit an insert or update, the user will not be able to perform an insert or update, even if this feature is enabled.

The aggregate of the number of fields that can be edited or inserted in one operation must not exceed the buffer storage on the host. The host buffer has 9999 bytes allocated by LANSA Open. Refer to the LANSA Open Guide if any editing you are planning is likely to exceed this limit.

Allow Deletes

If you enable this feature, the user will be able to delete existing data and a this option will be ticked.

If you choose to disable this feature, the user's Delete Row command will not be available. The default option is to disable this feature.

Note that if this feature is enabled, the rules defined in the LANSA Repository will be obeyed when the user performs deletion of data. This means that if the LANSA Repository does not permit the user to perform a delete, the user will not be able to perform the deletion even if this feature is enabled in LANSA Client.

Display Object Names

LANSA Client displays all objects with their descriptive names to make it easier for the users of LANSA Client to understand and identify the objects they are working with.

A tick will appear in this box if this option is enabled and the object names, in brackets, will be added to the end of the descriptive names when they are displayed.

The default option is not to display the object names.

Display Logical Files

You can display the logical files in the Files to Select From area of the LANSA Client Query window. This option will be ticked if logical files are to be displayed.

The default option is to display the logical files (views).

Use Library List

If this option is selected, LANSA Client will query the first file of a given name in the Client session's library list on the host.

When not selected, the file queried is the file in the library as specified in the file's definition within LANSA.

Save the Host Configuration

When you are satisfied with the details of this dialog box, select the OK button or press the Enter key.

To discard the changes, select the Cancel button or press the Esc key.

You will be returned to the LANSA Client Administrator dialog box.

Further Information

Ý 3. Create a LANSA Client Environment


3.2 Choose the Language and Font

When you click on the Language... button on the Administrator dialog box, the LANSA Client Language Options dialog box is displayed. This dialog box allows you to select the language in which LANSA Client is to run. That is, the language to appear on the LANSA Client windows and dialog boxes.

Select Language

A list of the languages available for running LANSA Client. Select the appropriate language from the list.

Once you have selected a language, all the text on the LANSA Client windows and dialog boxes will be displayed in that language.

For example, if you select LANSA Client to run in English and if the host is a multilingual partition with French specified as the Host Language, LANSA Client's screens and commands will be in English and all the names of the files and fields retrieved from the host will be in French.

By default, LANSA Client is in English.

Select Font for the Results window

If you want to use a particular font in the Results window, click on the Set Results Font button. A font selection dialog box is displayed. Select the font you wish to use in the results window.

Characters to use instead of # and @

The # and @ characters are language specific and need to be changed for some languages. Do not change these characters unless you are absolutely sure you have to.

Note: Check with your LANSA distributor if you are not sure about how special characters affect you.

Saving the Language Options

When you have finished with this dialog box, select the OK button or press the Enter key.

To discard the changes, select the Cancel button or press the Esc key.

You will be returned to the LANSA Client Administrator.

Further Information

Ý 3. Create a LANSA Client Environment


3.3 Set Query File Location

Select the Query Location... button on the Administrator dialog box, to open the LANSA Client Query File Location dialog box.

Default Query File Location

Select the default location for your LANSA Client query files.

Convert all existing query files to long name

If you are upgrading from LANSA Client Version 9.0 or earlier, you can convert your existing queries to use long names. Press the applicable button as required.

Note: Be sure to back up your queries files before using the Convert all existing query files to long name feature.

Further Information

Ý 3. Create a LANSA Client Environment


3.4 Default DateTime Result Format

When you save your results to Excel, dBase or MSAccess files, you need to specify the default format in which the Date and Time fields are saved. This can be over-ridden within LANSA Client, where you can specify individual save formats for each field. These settings may be overridden on a per-query basis from within LANSA Client.

Saving results to Excel files

Specify the field type in which the datetime and time data is to be saved in Excel files.

The default is to save datetime data as a Date field, and save time data as text/numeric.

Saving results to dBase files

Specify the field type in which datetime and time data is to be saved in dBase files.

The default is to save both datetime and time data as text/numeric.

Saving results to Access files

Specify the field type in which the date, datetime and time data is to be saved in MS Access files.

The default is to save date, datetime and time fields using their native types.

Recognition of date fields with edit codes

Fields with edit codes of 'Y' or 'W' can be recognized as date fields by selecting this option (ü). This will apply the Excel, dBase and MSAccess settings to those fields. If the option is not ticked, these fields will be saved without formatting.

Recognition of date fields with edit word

Specify the edit words that should be treated as date fields.

Further Information

Ý 3. Create a LANSA Client Environment


Appendix A. LANSA Client Installation and Upgrade

For this version of LANSA Client to function correctly, you must first upgrade your LANSA host to V13 SP1 EPC 131100 or later.

As appropriate, refer to:

Installation and Upgrade

Prepare an IBM i as the Host for LANSA Client

Prepare a Windows Server as the Host for LANSA Client

What's Next?

Before starting the LANSA Client installation, review the following:

Before You Begin Checklist


Before You Begin Checklist

Before starting the LANSA Client installation/upgrade, complete this checklist:

  • Have you reviewed the General Requirements checklist?
  • Have you reviewed the Hardware Requirements checklist?
  • Have you reviewed the Software Requirements checklist?
  • If you are using an IBM i host and you are not using TCP/IP, do you have 5250 Workstation emulation working to verify your connection to the host?


General Requirements

You should have:

  • Window's Administrator authority to install LANSA Client.
  • On the host to which you will be connecting, LANSA for iSeries or Visual LANSA, at versions compatible with this version of LANSA Client.
    If you are a new LANSA user, you will find instructions for installing LANSA on systems that will be host to this version of LANSA Client in the Installing LANSA on IBM i Guide or Installing LANSA on Windows Guide. You will find a copy of these guides with the LANSA Online guides.
  • TCP/IP configured to connect to your host.
  • A LANSA Client license on the host, either a single or multiple seat license, as appropriate. (Note that a temporary LANSA Client license is automatically provided when LANSA is installed on an IBM i .)
  • Any EPCs (Expedited Program Changes) that may be required should already be installed. A list of EPCs is available at LANSA's web site: www.lansa.com/support
  • Optional: A version of Crystal Reports ™ that is compatible with the LANSA Client software. We recommend a version of Crystal Reports as per the supported platforms document on the LANSA web site.


Hardware Requirements

As a minimum, LANSA Client requires the following hardware configuration:

  • 1.6 GHz Intel or AMD processor.
  • 1 GB of Random Access Memory (RAM).
  • 10 GB free hard disk space.
  • Connection to the host.


Software Requirements

LANSA Client requires the following software to be installed on the workstation:

  • A supported version of Windows as per the Supported Platforms document for this version on the LANSA web site.
  • Communications software supported by LANSA Client, that is TCP/IP.

LANSA Client requires the following to be on the host:

  • LANSA Version 13 SP1 or later.

The communications between client and host are handled by LANSA's middleware, LANSA Open. TheL LANSA Open Guide is available on the LANSA Windows CD.


Installation and Upgrade

A single installation program is used for both installing and upgrading the LANSA Client software. To upgrade an existing LANSA Client installation, simply run the installation procedure.

When you install or upgrade LANSA Client, a version of LANSA Open is automatically installed.

To begin an installation or upgrade, run client13.exe which is available for download from http://www.lansa.com.

The following dialog will appear:

Here you will find all the options and settings necessary to install LANSA Client, including:

  • The directory where Client is to be installed
  • Whether the LANSA Client Administrator is to be installed along with LANSA Client.
  • Whether to start the LANSA Communications Administrator when the install has finished.
  • The translation table to install

When you're happy with these settings, click the Install button. A new window will open showing you the progress of the installation.

If you already have LANSA Client installed on your system, the installer can be used to upgrade to the latest version. Once you have the latest version of LANSA Client installed, you will not be able to modify the location of Client or to choose whether to install the Client Administrator, however the other options may be changed if needed.


LANSA Client Requirements on the Host

If you are not already using LANSA Client, you will need to prepare the host for access by LANSA Client users. Depending on the host to which you will be connecting, go to:

Prepare an IBM i as the Host for LANSA Client

and/or

Prepare a Windows Server as the Host for LANSA Client


Prepare an IBM i as the Host for LANSA Client

To use LANSA Client, you will need the current LANSA for iSeries version installed on each of the IBM i host systems that you wish to access with LANSA Client.

If you are not already using LANSA Client, you will need to prepare the host for access by LANSA Client users. You will find instructions for doing this in Task: LANSA Client Setup on IBM i in the Installing LANSA on IBM i Guide.

LANSA Client cannot successfully connect with an IBM i host until LANSA is installed on the IBM i and the appropriate LANSA licenses have been recorded.

Demonstration Partition

A demonstration partition, complete with files for use with the LANSA Client Tutorial, is provided with the LANSA for iSeries software. Instructions for installing and setting up this partition are provided with the LANSA Client Tutorial.


Prepare a Windows Server as the Host for LANSA Client

The following steps need to be performed when using a Windows server as a host to LANSA Client. If you wish to use an IBM i as a host to LANSA Client, refer to Prepare an IBM i as the Host for LANSA Client.

These steps are based on the demonstration material provided by the Visual LANSA Partition Initialization process. Using the demonstration partition will allow you to quickly test LANSA Client. To execute LANSA Client against your own data, you will need to load your application files into Visual LANSA.

Before you Start

You will need the LANSA Windows CD-ROM to perform these steps.

LANSA Client Server Setup

When using LANSA Client with a Windows Server, you must complete the following tasks on the server:

1. Install Visual LANSA on the Windows Server.

2. Set up communications using the LANSA Communications Administrator.
Select Settings and Administration from the LANSA system's menu and select LANSA Communications Administrator from the sub menu.

3. In the LANSA Communications Administrator's dialog:
Select the Advanced option on the Menu bar and choose Listener.
Change the Number of Threads to 2.
Press the Start Listener button.

4. Install the LANSA Client definitions. This is an automatic process carried out as part of the Partition Initialization process when you log on to Visual LANSA. To do this:

a. Logon on to Visual LANSA.

b. Enter your Password and, before you press OK, select the Partition Initialization button.

c. Press OK and the Partition Initialization dialog box will open.

In the Partition Initialization dialog box, select the software that you wish to install.

d. For LANSA Client, select (i.e. tick) the LANSA Client field and file definitions. Press OK. There will be a short delay while the fields and files are installed.

5. Perform SYSEXPORT: From your LANSA System's menu, select Settings and Administration and then SYSEXPORT from the sub menu.

6. Run the *CLTEXPORT process by selecting the Exec Process from the LANSA menu.

7. Add the LANSA Client Licenses by selecting the Server Licenses in the Settings and Administration folder. You should have been provided with an xml file. From the "New" tab sheet, select the xml file then apply the license. If successful, license details should appear in the "Applied" tab sheet.

8. Confirm that the x_lansa.pro file exists in the directory which corresponds to the LANSA Client partition. For example the DEM partition has a directory named <drive>:\Program Files\lansa\x_win95\x_lansa\x_dem.

If x_lansa.pro does not exist, create a text file named x_lansa.pro. For example:

DBUT=MSSQLS

DBII=LX_LANSA

GUSR=QOTHPRDOWN

9. Save the new x_lansa.pro file in <drive>:\Program Files\lansa\x_win95\x_lansa\x_dem directory (Assuming "x_dem" is the directory that you are using).


What's Next?

Carry out the Administrator's Tasks

If you are using LANSA Client for the first time, you must create a LANSA Client environment and copy it to each PC on which LANSA Client will be run. The LANSA Client environment defines the host connections and the default settings, such as language, to be used. Refer to the Create a LANSA Client Environment for details.

Go through the LANSA Client Tutorials

If you are new to LANSA Client, we recommend that you become familiar with LANSA Client by working through the LANSA Client Tutorials. You must first install or import the files used for the tutorials. Setting up the files is described in Set up the Tutorial files on an IBM i Host or Set up the Tutorial files on a Windows Host in the LANSA Client User Guide.

Visit LANSA's Web Site

Visit the LANSA web site at www.lansa.com for the latest information about LANSA Client.

If you are not already familiar with this web site you will find that it contains much information about product releases, tips and techniques, courses available, support contact details, demonstrations, etc.


Disclaimer

While every effort has been made to ensure that the information in the LANSA documentation is accurate. In no event shall LANSA be liable for any damages arising from its use.

LANSA MAKES NO WARRANTIES, EXPRESSED OR IMPLIED.

Copyright and trademark information

© LANSA. "LANSA" is a trade name and registered trademark of LANSA in the United States of America, Australia, the United Kingdom and other countries. All rights reserved.

The following are some companies which require attribution:

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both. Microsoft, Windows, .NET and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

Other company, product, and service names may be trademarks or service marks of others.

This material may contain other proprietary notices and copyright information, the terms of which must be observed and followed.